cURL
curl --request PUT \
--url https://api-alpha.fourvenues.com/integrations/bookings/{bookingId}/update-fields \
--header 'Content-Type: application/json' \
--header 'integration_id: <api-key>' \
--header 'secret: <api-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "John Doe Updated",
"email": "john.updated@example.com",
"phone": "+34666123456",
"for": 6,
"status": "confirmed",
"price": 2000,
"pos_ticket_total": 25,
"pos_total_service_charge": 0,
"pos_total_tips": 0,
"commentary_reserve": "Cumpleaños",
"commentary_client": "",
"deposit_paid": 30,
"walkin": false,
"duration": 0,
"enter": 6,
"date": "2025-08-14T22:00:00.000Z",
"pos_products": [
{
"_id": "<string>",
"name": "<string>",
"amount": 123,
"unit_price": 123,
"total_price": 123
}
],
"pos_payments": [
{
"type": "<string>",
"amount": 123
}
]
}
'import requests
url = "https://api-alpha.fourvenues.com/integrations/bookings/{bookingId}/update-fields"
payload = {
"name": "John Doe Updated",
"email": "john.updated@example.com",
"phone": "+34666123456",
"for": 6,
"status": "confirmed",
"price": 2000,
"pos_ticket_total": 25,
"pos_total_service_charge": 0,
"pos_total_tips": 0,
"commentary_reserve": "Cumpleaños",
"commentary_client": "",
"deposit_paid": 30,
"walkin": False,
"duration": 0,
"enter": 6,
"date": "2025-08-14T22:00:00.000Z",
"pos_products": [
{
"_id": "<string>",
"name": "<string>",
"amount": 123,
"unit_price": 123,
"total_price": 123
}
],
"pos_payments": [
{
"type": "<string>",
"amount": 123
}
]
}
headers = {
"integration_id": "<api-key>",
"secret": "<api-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
integration_id: '<api-key>',
secret: '<api-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'John Doe Updated',
email: 'john.updated@example.com',
phone: '+34666123456',
for: 6,
status: 'confirmed',
price: 2000,
pos_ticket_total: 25,
pos_total_service_charge: 0,
pos_total_tips: 0,
commentary_reserve: 'Cumpleaños',
commentary_client: '',
deposit_paid: 30,
walkin: false,
duration: 0,
enter: 6,
date: '2025-08-14T22:00:00.000Z',
pos_products: [
{
_id: '<string>',
name: '<string>',
amount: 123,
unit_price: 123,
total_price: 123
}
],
pos_payments: [{type: '<string>', amount: 123}]
})
};
fetch('https://api-alpha.fourvenues.com/integrations/bookings/{bookingId}/update-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"data": {
"type": "object",
"properties": {
"updated": {
"type": "boolean"
},
"changes_count": {
"type": "integer"
},
"state_changed": {
"type": "boolean"
},
"changes": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
}
}Bookings
Put bookings update fields
Update booking information
PUT
/
bookings
/
{bookingId}
/
update-fields
cURL
Authorizations
Identifier of the integration (Auth v1)
Secret of the organization (Auth v1)
API key (Auth v2)
Path Parameters
Id of the booking
Body
application/json
Body of the request
Example:
"John Doe Updated"
Example:
"john.updated@example.com"
Example:
"+34666123456"
Example:
6
Example:
"confirmed"
Example:
2000
Example:
25
Example:
0
Example:
0
Example:
"Cumpleaños"
Example:
""
Example:
30
Example:
false
Example:
0
Example:
6
Example:
"2025-08-14T22:00:00.000Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I